Skip to main content
v1

Release a desktop keyboard key.

POST /v1/desktop/keyboard/up: request parameters and responses.

POST /v1/desktop/keyboard/up

Performs a health-gated xdotool keyup operation against the managed desktop.

Request body

Required.

application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopKeyboardUpRequest"
  }
}

Related schemas: DesktopKeyboardUpRequest.

Responses

200

Desktop keyboard action result

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopActionResponse"
  }
}

Related schemas: DesktopActionResponse.

400

Invalid keyboard up request

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

409

Desktop runtime is not ready

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

502

Desktop runtime health or input failed

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.